This help site has been deprecated. Please send your requests to support@rubygems.org

Offline Installation of .gem dependencies files

aryne's Avatar

aryne

13 Mar, 2017 02:19 AM

We are trying to install a plugin by running the following command on the .gem file (logstash-output-apm-Release-APM-10.5.1-DxC-1.4-20170114.212431-8.gem) supplied by the vendor, but it failed with the below error as we are running it from a machine with NO Internet access:

[user@server_hostname bin]$ ./logstash-plugin install DigitalExperienceCollector-Release-APM-10.5.1-DxC-1.4-SNAPSHOT-2017_01_14_13_24/logstash/apm-logstash-plugin/logstash-output-apm-Release-APM-10.5.1-DxC-1.4-20170114.212431-8.gem
Validating DigitalExperienceCollector-Release-APM-10.5.1-DxC-1.4-SNAPSHOT-2017_01_14_13_24/logstash/apm-logstash-plugin/logstash-output-apm-Release-APM-10.5.1-DxC-1.4-20170114.212431-8.gem
Unable to download data from https://rubygems.org/ - Errno::ECONNREFUSED: Connection refused - Connection refused (https://api.rubygems.org/latest_specs.4.8.gz)

Is there any way to work around the issue without having to modify the .gem file to cater for offline installation?

  1. Support Staff 1 Posted by sonalkr132 on 22 Mar, 2017 04:11 AM

    sonalkr132's Avatar

    Hi aryne,

    Please check our Installing gems with no network help page.

Discussions are closed to public comments.
If you need help with RubyGems.org please start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac